HomePentest-Tools.com Logo

Gitea < 1.7.6 or < 1.8.0-rc3 Multiple Vulnerabilities CVE-2019-11228CVE-2019-11229

Severity
CVSSv3 Score
8.8
Vulnerability description

Gitea is prone to multiple vulnerabilities.

Risk description

Gitea is prone to multiple vulnerabilities: - repo/setting.go does not validate the form.MirrorAddress before calling SaveAddress (CVE-2019-11228) - models/repo_mirror.go mishandles mirror repo URL settings, leading to remote code execution (CVE-2019-11229)

Recommendation

Update to version 1.7.6, 1.8-rc3 or later.

Codename
Not available
Detectable with
Network Scanner
Scan engine
OpenVAS
Exploitable with Sniper
No
CVE Published
Apr 15, 2019
Detection added at
Software Type
Not available
Vendor
Not available
Product
Not available